Get Test Suite
curl --request GET \
--url https://api.pathors.com/v1/projects/{projectId}/test-suites/{testSuiteId} \
--header 'Authorization: <authorization>'import requests
url = "https://api.pathors.com/v1/projects/{projectId}/test-suites/{testSuiteId}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.pathors.com/v1/projects/{projectId}/test-suites/{testSuiteId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {}
}Get Test Suite
Get a single test suite by ID
GET
/
v1
/
projects
/
{projectId}
/
test-suites
/
{testSuiteId}
Get Test Suite
Request
GET https://api.pathors.com/v1/projects/{projectId}/test-suites/{testSuiteId}
Path Parameters
string
required
The project ID
string
required
The test suite ID
Headers
string
required
Bearer token using your developer key
Response
object
The test suite object with
id, name, and testCases (array of { id }).Example
curl https://api.pathors.com/v1/projects/{projectId}/test-suites/{testSuiteId} \
-H "Authorization: Bearer dk_your_key"
{
"data": {
"id": "test-suite-uuid",
"projectId": "project-uuid",
"name": "Regression suite",
"testCases": [
{ "id": "test-case-uuid-1" },
{ "id": "test-case-uuid-2" }
],
"createdAt": "2026-03-23T00:00:00.000Z",
"updatedAt": "2026-03-23T00:00:00.000Z"
}
}
⌘I
